
 Instead of ifdef, let wxTextBuffer::Translate do conversions in all the 
 cases automatically.

--- pgadmin/frm/frmMain.cpp.orig	Wed Oct 07 15:07:06 2015
+++ pgadmin/frm/frmMain.cpp	Wed Oct 07 20:28:09 2015
@@ -659,11 +659,7 @@
 			{
 				text.Append(lv->GetText(row, col) + wxT("\t"));
 			}
-#ifdef __WXMSW__
-			text.Append(wxT("\r\n"));
-#else
 			text.Append(wxT("\n"));
-#endif
 			row = lv->GetNextSelected(row);
 		}
 		text = text.Trim();
@@ -673,13 +669,13 @@
 	ctlSQLBox *sb = dynamic_cast<ctlSQLBox *>(currentControl);
 	if (sb)
 	{
-		text = wxTextBuffer::Translate(sb->GetSelectedText());
+		text = sb->GetSelectedText();
 	}
 
 	// Set the clipboard text
 	if (text.Length() > 0 && wxTheClipboard->Open())
 	{
-		wxTheClipboard->SetData(new wxTextDataObject(text));
+		wxTheClipboard->SetData(new wxTextDataObject(wxTextBuffer::Translate(text)));
 		wxTheClipboard->Close();
 	}
 }

